# Required applications

* soxi
* ffmpeg

# Usage

```Bash
get-tracks.sh rip audio-file time-file
```


`audio-file` can be in any format understood by `soxi` and `ffmpeg`

In the `time-file`:

```
0:00 First song
2:20 Second song
3:18 Awesome song
```

# Environment variables

* SIMULATION [0|1] do not invoke ffmpeg
* FORMAT [mp3,ogg,opus,…] for the song file format
* WITH_NUMBER [separator] if not null, write song number with this separator
  example: WITH_NUMBER=_ Song names will be 1_song.opus 2_song.opus (...)
* QUIET: if set to any value, ffmpeg commands are not displayed


# More

Run `get-track.sh` without arguments.
